updateUser
Update a User object by setting the values of the parameters passed. Any parameters not provided will be left unchanged.
PUT
/v1/chat/users/{id}Authorization
AuthorizationBearerBearer authentication header of the form Bearer <token>, where <token> is your auth token.
Header parameters
x-bp-authenticated-principalstringAuthenticated principal. Injected by the authentication middleware.
x-bot-idstringBot id
x-integration-id?stringIntegration id
x-integration-alias?stringIntegration alias
Path parameters
idstringUser ID
Request body
User data
tags?objectTags for the User. Set to null or empty string to remove.
name?string | nullName of the user(max length: 200)
pictureUrl?string | nullURI of the user picture(max length: 40000)
attributes?objectdeprecatedDEPRECATED - Use properties instead.
properties?object**EXPERIMENTAL** - Optional shared properties that can be accessed and modified by both the bot and any of its integrations. Set individual properties to null to remove them.
Response
Returns an updated User object if a valid identifier was provided. Returns an error otherwise
userobjectThe user object represents someone interacting with the bot within a specific integration. The same person interacting with a bot in slack and messenger will be represented with two different users.